// Copyright 1998-2018 Epic Games, Inc. All Rights Reserved.

namespace UnrealBuildTool.Rules
{
	public class IOSSmartlook : ModuleRules
	{
		public IOSSmartlook( ReadOnlyTargetRules Target ) : base(Target)
		{
			PublicDependencyModuleNames.AddRange(
				new string[]
				{
					"Core",
					// ... add other public dependencies that you statically link with here ...
				}
			);

			PrivateDependencyModuleNames.AddRange(
				new string[]
				{
					"Core",
					"CoreUObject",
					"Engine",
					"Analytics",
					"AnalyticsVisualEditing",
					// ... add private dependencies that you statically link with here ...
				}
			);

			PublicIncludePathModuleNames.AddRange(
				new string[]
				{
					"Analytics",
					"AnalyticsVisualEditing",
				}
			);

			PublicDefinitions.Add("WITH_Smartlook=1");

			DynamicallyLoadedModuleNames.AddRange(
				new string[]
				{
					// ... add any modules that your module loads dynamically here ...
				}
				);

			// Add the Smartlook framework
			PublicAdditionalFrameworks.Add( 
				new UEBuildFramework( 
					"SmartlookMetal",														// Framework name
					"../../ThirdParty/SmartlookMetal.embeddedframework.zip"		// Zip name
				)
			); 

			PublicFrameworks.AddRange( 
				new string[] 
				{ 
					"Metal",
					"CoreMedia",
				}
				);
		}
	}
}
